
use "$patho\data_fig_7.dta", clear

loc sigl = 1.645
foreach v in raw H1 H2 intH1 intH2 intH12 {
	cap drop sig`v' 
	gen sig`v' = ((`v'_b - (`sigl' * `v'_se)) > 0 & (`v'_b + (`sigl' * `v'_se)) > 0 ) | ((`v'_b - (`sigl' * `v'_se)) < 0 & (`v'_b + (`sigl' * `v'_se)) < 0 )
	gen up`v' = `v'_b + (`sigl' * `v'_se)
	gen low`v' = `v'_b - (`sigl' * `v'_se)
}

cap drop variable
gen str3 variable = substr(model,5,3)

***************************************************************************************************************************************************
global l1 lw(medthick) lc(gray) lp(solid)
global l2 lw(medthick) lc(red) lp(dash)
global l3 lw(medthick) lc(red) lp(solid)
*
global l lw(thin) lc(black) lp(solid) mc(black)
*
global p1 mc(gray) m(O) msize(2) mlw(medthick) mlabp(4) mlabc(gray) mlabsize(vsmall)
global p2 mc(cranberry) m(O) msize(2) mlw(medthick) mlabp(4) mlabc(cranberry) mlabsize(vsmall)
global p3 mc(cranberry) m(O) msize(2) mlw(medthick) mlabp(4) mlabc(cranberry) mlabsize(vsmall)
*
global options xline(0) yline(0) aspect(.3) xlabel(-4(2)12) xtitle(Age of the child) scheme(s1mono) plotregion(lstyle(none))
***************************************************************************************************************************************************

format raw_b H1_b H2_b %9.1f

loc rangen14 -.8(.4).8
loc rangen15 -1(.5)1.5
forvalues ch = 1/1 {
	foreach v in n14 n15  {
		graph twoway 	(line raw_b chage if group=="women" , $l1) ///
						(line H1_b chage if group=="women" , $l2) ///
						(line H2_b chage if group=="women" , $l3) ///
						(scatter raw_b chage if group=="women" & sigraw==1 , $p1 mlab(raw_b) ) ///
						(scatter H1_b chage if group=="women" & sigH1==1 , $p2 mlab(H1_b) ) ///
						(scatter H2_b chage if group=="women" & sigH2==1 , $p3 mlab(H2_b) ) ///
						(rcapsym  H1_b raw_b chage if group=="women" & sigintH1==1 & chage>-4 , $l m(x)) ///
						(rcapsym  H2_b raw_b chage if group=="women" & sigintH2==1 & chage>-4 , $l m(t)) ///
						(rcapsym  H1_b H2_b  chage if group=="women" & sigintH12==1 & chage>-4 , $l m(o) ) ///
		if child==`ch' & variable=="`v'", ytitle(Change of life satisf) $options ylabel(`range`v'') ///
		legend(order(1 3 2)) legend(label(1 "low support") label(2 "very high support") label(3 "medium support") )
		more
		graph export $patho\fig_7_`v'_`ch'.eps, replace
	}	
}	

