use "$patho\data_fig_8.dta", clear

loc sigl = 1.645
foreach v in raw H1 H2 H3 intMod intMH intH {
	cap drop sig`v' 
	gen sig`v' = ((`v'_b - (`sigl' * `v'_se)) > 0 & (`v'_b + (`sigl' * `v'_se)) > 0 ) | ((`v'_b - (`sigl' * `v'_se)) < 0 & (`v'_b + (`sigl' * `v'_se)) < 0 )
	gen up`v' = `v'_b + (`sigl' * `v'_se)
	gen low`v' = `v'_b - (`sigl' * `v'_se)
}

cap drop variable
gen str3 variable = substr(model,4,3)

***************************************************************************************************************************************************
global l1 lw(medthick) lc(red)   lp(solid)
global l2 lw(medthick) lc(black) lp(solid)
global l3 lw(medthick) lc(red)   lp(dash)
global l4 lw(medthick) lc(black) lp(dash)
*
global l lw(medthin) lc(gray) lp(dash)
*
global p1 mc(cranberry) m(O) msize(2) mlw(medthick) mlabp(4) mlabc(cranberry) mlabsize(vsmall)
global p2 mc(black)     m(O) msize(2) mlw(medthick) mlabp(4) mlabc(black)     mlabsize(vsmall)
global p3 mc(cranberry) m(O) msize(2) mlw(medthick) mlabp(4) mlabc(cranberry) mlabsize(vsmall)
global p4 mc(black)     m(O) msize(2) mlw(medthick) mlabp(4) mlabc(black)     mlabsize(vsmall)
*
global options xline(0) yline(0) aspect(.3) xlabel(-4(2)12) xtitle(Age of the child) scheme(s1mono) plotregion(lstyle(none))
***************************************************************************************************************************************************

format raw_b H1_b H2_b H3_b %9.1f

/*
base LowSup Unhappy
H1 HighSup Happy
H2 HighSup Unhappy
H3 LowSup Happy

1. LowUnh  base 2. HighUnh H2
3. LowHap  H3   4. HighHap H1
*/

loc labn141 low support &
loc labn142 high support &
loc labn151 low support & 
loc labn152 high support &
loc labHap1 happy
loc labHap2 not happy
forvalues ch = 1/1 {
	foreach x in  Hap  {
		foreach v in n14 n15  {
			graph twoway 	(line raw_b chage if group=="women" , $l1) /// low sup, low hap/int
							(line H2_b chage if group=="women" ,  $l2) /// high sup, high hap/int
							(line H3_b chage if group=="women" ,  $l3) /// high sup, low hap/int
							(line H1_b chage if group=="women" ,  $l4) /// low sup, high hap/int
							(scatter raw_b chage if group=="women" & sigraw==1 , $p1 mlab(raw_b) ) ///
							(scatter H2_b chage if group=="women" & sigH2==1   , $p2 mlab(H2_b) ) ///
							(scatter H3_b chage if group=="women" & sigH3==1   , $p3 mlab(H3_b) ) ///
							(scatter H1_b chage if group=="women" & sigH1==1   , $p4 mlab(H1_b) ) ///
			if child==`ch' & variable=="`v'" & model=="`x'`v'", ytitle(Change of life satisf) $options ylabel(`range`v'') ///
			legend(order(1 2 3 4)) legend(label(1 "`lab`v'1' `lab`x'2'") label(2 "`lab`v'2' `lab`x'2'") label(3 "`lab`v'1' `lab`x'1'") label(4 "`lab`v'2' `lab`x'1'"))
			more
			graph export $patho\fig_8_W`v'_`ch'.eps, replace
			*
			graph twoway 	(line raw_b chage if group=="men" , $l1) ///
							(line H2_b chage if group=="men" ,  $l2) ///
							(line H3_b chage if group=="men" ,  $l3) ///
							(line H1_b chage if group=="men" ,  $l4) ///
							(scatter raw_b chage if group=="men" & sigraw==1 , $p1 mlab(raw_b) ) ///
							(scatter H2_b chage if group=="men" & sigH2==1   , $p2 mlab(H2_b) ) ///
							(scatter H3_b chage if group=="men" & sigH3==1   , $p3 mlab(H3_b) ) ///
							(scatter H1_b chage if group=="men" & sigH1==1   , $p4 mlab(H1_b) ) ///
			if child==`ch' & variable=="`v'" & model=="`x'`v'", ytitle(Change of life satisf) $options ylabel(`range`v'') ///
			legend(order(1 2 3 4)) legend(label(1 "`lab`v'1' `lab`x'2'") label(2 "`lab`v'2' `lab`x'2'") label(3 "`lab`v'1' `lab`x'1'") label(4 "`lab`v'2' `lab`x'1'"))
			more
			graph export $patho\fig_8_M`v'_`ch'.eps, replace
		}
	}	
}	

