
use $patho\data_fig1_2.dta, clear

replace chage = chage - .05 if group=="women"
replace chage = chage + .05 if group=="men"

loc sigl = 1.645
*loc sigl = 1.960
cap drop sig
gen sig = ((raw_b - (`sigl' * raw_se)) > 0 & (raw_b + (`sigl' * raw_se)) > 0 ) | ((raw_b - (`sigl' * raw_se)) < 0 & (raw_b + (`sigl' * raw_se)) < 0 )
gen up  = raw_b + `sigl' * raw_se
gen low = raw_b - `sigl' * raw_se

gen sample=substr(model,5,.)

***************************************************************************************************************************************************
global l1 lw(medthick) lc(red) lp(dash)
global l2 lw(medthick) lc(gray) lp(solid)
global p1 mc(cranberry) m(O)   msize(2) mlw(medthick) mlabp(4) mlab(raw_b) mlabc(cranberry) mlabsize(vsmall)
global p2 mc(black) m(O)  msize(2) mlw(medthick) mlabp(4) mlab(raw_b) mlabc(black) mlabsize(vsmall)
global options yline(0) xline(0) aspect(.3) xlabel(-4(2)12)   xtitle(Age of the child) scheme(s1mono) plotregion(lstyle(none))
***************************************************************************************************************************************************

sort chage

format raw_b %9.1f

loc rangen10  -7 -3(3)6 
loc rangen13  -7 -3(3)6
loc rangen14  -3(1)1
loc rangen15  -3(1)1
loc labn10 Change of network size
loc labn13 Change of contact
loc labn14 Change of support
loc labn15 Change of support
loc tyn10 -5.2
loc ty2n10 -6.5
loc tyn13 -5.2
loc ty2n13 -6.5
loc tyn14 -2.2
loc ty2n14 -2.7
loc tyn15 -2.2
loc ty2n15 -2.7
forvalues ch = 1/3 {
	foreach v in n10 n13 n14 n15 {
		sum N if variable=="`v'" & group=="women" & child==`ch'
		loc Nw = r(mean)
		sum N if variable=="`v'" & group=="men" & child==`ch'
		loc Nm = r(mean)
		sum Nid if variable=="`v'" & group=="women" & child==`ch'
		loc Nidw = r(mean)
		sum Nid if variable=="`v'" & group=="men" & child==`ch'
		loc Nidm = r(mean)
		sum Nbirths if variable=="`v'" & group=="women" & child==`ch'
		loc Nbw = r(mean)
		sum Nbirths if variable=="`v'" & group=="men" & child==`ch'
		loc Nbm = r(mean)
			graph twoway (line raw_b chage if group=="women" & variable=="`v'", $l1) ///
						 (line raw_b chage if group=="men"   & variable=="`v'", $l2) ///
						 (rcap up low chage if group=="women" & variable=="`v'", $l1) ///
						 (rcap up low chage if group=="men"   & variable=="`v'", $l2) ///
						 (scatter raw_b chage if group=="women" & variable=="`v'" & sig==1, $p1 ) ///
						 (scatter raw_b chage if group=="men"   & variable=="`v'" & sig==1, $p2 ) ///	
			if child==`ch', ytitle(`lab`v'') $options ylabel(`range`v'') legend(order(1 2 )) ///
			legend(label(1 "mothers") label(2 "fathers") label(3 "all women") label(4 "all men")) ///
			text(`ty`v'' 12 "Men: N = `Nm'; N(id) = `Nidm'; N(births) = `Nbm'", place(w))  ///
			text(`ty2`v'' 12 "Women: N = `Nw'; N(id) = `Nidw'; N(births) = `Nbw'", place(w))
			more	 
			graph export $patho\Fig_1_2_`v'_`ch'.eps, replace
	}
}	
