use "$patho\data_fig_3_6", clear

loc sigl = 1.645
foreach v in raw  sup int {
	cap drop sig`v' 
	gen sig`v' = ((`v'_b - (`sigl' * `v'_se)) > 0 & (`v'_b + (`sigl' * `v'_se)) > 0 ) | ((`v'_b - (`sigl' * `v'_se)) < 0 & (`v'_b + (`sigl' * `v'_se)) < 0 )
	gen up`v' = `v'_b + (`sigl' * `v'_se)
	gen low`v' = `v'_b - (`sigl' * `v'_se)
}

cap drop variable
gen str3 variable = substr(model,2,3)

***************************************************************************************************************************************************
global l1 lw(medthick) lc(red)  lp(dash)
global l2 lw(medthick) lc(black) lp(solid)
global l4 lw(medthin) lc(gray) lp(dash)
global p1 mc(cranberry) m(O)   msize(2) mlw(medthick) mlabp(4) mlab(raw_b) mlabc(cranberry) mlabsize(vsmall)
global p2 mc(black) m(O)  msize(2) mlw(medthick) mlabp(4) mlab(sup_b) mlabc(black) mlabsize(vsmall)
global options xline(0) yline(0) aspect(.3) xlabel(-4(2)12) xtitle(Age of the child) scheme(s1mono) plotregion(lstyle(none))
***************************************************************************************************************************************************

sort chage

format raw_b sup_b %9.1f

loc rangen14 -1.5(.5)1
loc rangen15 -1(.5)1
loc tyn14 -1.35
loc tyn15 -.9
forvalues ch = 1/3 {
	foreach v in n14 n15  {
		sum N if variable=="`v'" & group=="women" & child==`ch'
		loc Nw = r(mean)
		sum N if variable=="`v'" & group=="men" & child==`ch'
		loc Nm = r(mean)
		sum Nid if variable=="`v'" & group=="women" & child==`ch'
		loc Nidw = r(mean)
		sum Nid if variable=="`v'" & group=="men" & child==`ch'
		loc Nidm = r(mean)
		sum Nbirths if variable=="`v'" & group=="women" & child==`ch'
		loc Nbw = r(mean)
		sum Nbirths if variable=="`v'" & group=="men" & child==`ch'
		loc Nbm = r(mean)

		graph twoway 	(line raw_b chage if group=="women" , $l1) ///
						(line sup_b chage if group=="women" , $l2) ///
						(scatter raw_b chage if group=="women" & sigraw==1 , $p1) ///
						(scatter sup_b chage if group=="women" & sigsup==1 , $p2) ///
						(rspike  sup_b raw_b chage if group=="women" & sigint==1 , $l4) ///
		if child==`ch' & variable=="`v'", ytitle(Change of life satisf) $options ylabel(`range`v'') ///
		legend(order(1 2)) legend(label(1 "low support") label(2 "high support") ) ///
		text(`ty`v'' 12 "Sample: N = `Nw'; N(id) = `Nidw'; N(births) = `Nbw'", place(w))  

		more
		graph export $patho\Fig_5_6_W_`v'_`ch'.eps, replace
		*
		graph twoway 	(line raw_b chage if group=="men" , $l1) ///
						(line sup_b chage if group=="men" , $l2) ///
						(scatter raw_b chage if group=="men" & sigraw==1 , $p1) ///
						(scatter sup_b chage if group=="men" & sigsup==1 , $p2) ///
						(rspike  sup_b raw_b chage if group=="men" & sigint==1 , $l4) ///
		if child==`ch' & variable=="`v'", ytitle(Change of life satisf) $options ylabel(`range`v'') ///
		legend(order(1 2)) legend(label(1 "low support") label(2 "high support") ) ///
		text(`ty`v'' 12 "Sample: N = `Nm'; N(id) = `Nidm'; N(births) = `Nbm'", place(w))  
		more
		graph export $patho\Fig_5_6_M_`v'_`ch'.eps, replace
	}	
}	

loc rangen13 -1(.5)1
loc tyn13 -.9
forvalues ch = 1/3 {
	foreach v in n13  {
		sum N if variable=="`v'" & group=="women" & child==`ch'
		loc Nw = r(mean)
		sum N if variable=="`v'" & group=="men" & child==`ch'
		loc Nm = r(mean)
		sum Nid if variable=="`v'" & group=="women" & child==`ch'
		loc Nidw = r(mean)
		sum Nid if variable=="`v'" & group=="men" & child==`ch'
		loc Nidm = r(mean)
		sum Nbirths if variable=="`v'" & group=="women" & child==`ch'
		loc Nbw = r(mean)
		sum Nbirths if variable=="`v'" & group=="men" & child==`ch'
		loc Nbm = r(mean)

		graph twoway 	(line raw_b chage if group=="women" , $l1) ///
						(line sup_b chage if group=="women" , $l2) ///
						(scatter raw_b chage if group=="women" & sigraw==1 , $p1) ///
						(scatter sup_b chage if group=="women" & sigsup==1 , $p2) ///
						(rspike  sup_b raw_b chage if group=="women" & sigint==1 , $l4) ///
		if child==`ch' & variable=="`v'", ytitle(Change of life satisf) $options ylabel(`range`v'') ///
		legend(order(1 2)) legend(label(1 "rare contact") label(2 "frequent contact") ) ///
		text(`ty`v'' 12 "Sample: N = `Nw'; N(id) = `Nidw'; N(births) = `Nbw'", place(w))  
		more
		graph export $patho\Fig_4_W_`v'_`ch'.eps, replace
		*
		graph twoway 	(line raw_b chage if group=="men" , $l1) ///
						(line sup_b chage if group=="men" , $l2) ///
						(scatter raw_b chage if group=="men" & sigraw==1 , $p1) ///
						(scatter sup_b chage if group=="men" & sigsup==1 , $p2) ///
						(rspike  sup_b raw_b chage if group=="men" & sigint==1 , $l4) ///
		if child==`ch' & variable=="`v'", ytitle(Change of life satisf) $options ylabel(`range`v'') ///
		legend(order(1 2)) legend(label(1 "rare contact") label(2 "frequent contact") ) ///
		text(`ty`v'' 12 "Sample: N = `Nm'; N(id) = `Nidm'; N(births) = `Nbm'", place(w))  
		more
		graph export $patho\Fig_4_M_`v'_`ch'raw.eps, replace
	}	
}	


loc rangen10 -1(.5)1
loc tyn10 -.9
forvalues ch = 1/3 {
	foreach v in n10  {
		sum N if variable=="`v'" & group=="women" & child==`ch'
		loc Nw = r(mean)
		sum N if variable=="`v'" & group=="men" & child==`ch'
		loc Nm = r(mean)
		sum Nid if variable=="`v'" & group=="women" & child==`ch'
		loc Nidw = r(mean)
		sum Nid if variable=="`v'" & group=="men" & child==`ch'
		loc Nidm = r(mean)
		sum Nbirths if variable=="`v'" & group=="women" & child==`ch'
		loc Nbw = r(mean)
		sum Nbirths if variable=="`v'" & group=="men" & child==`ch'
		loc Nbm = r(mean)

		graph twoway 	(line raw_b chage if group=="women" , $l1) ///
						(line sup_b chage if group=="women" , $l2) ///
						(scatter raw_b chage if group=="women" & sigraw==1 , $p1) ///
						(scatter sup_b chage if group=="women" & sigsup==1 , $p2) ///
						(rspike  sup_b raw_b chage if group=="women" & sigint==1 , $l4) ///
		if child==`ch' & variable=="`v'", ytitle(Change of life satisf) $options ylabel(`range`v'') ///
		legend(order(1 2)) legend(label(1 "small network") label(2 "large network") ) ///
		text(`ty`v'' 12 "Sample: N = `Nw'; N(id) = `Nidw'; N(births) = `Nbw'", place(w))  
		more
		graph export $patho\Fig_3_W_`v'_`ch'.eps, replace
		*
		graph twoway 	(line raw_b chage if group=="men" , $l1) ///
						(line sup_b chage if group=="men" , $l2) ///
						(scatter raw_b chage if group=="men" & sigraw==1 , $p1) ///
						(scatter sup_b chage if group=="men" & sigsup==1 , $p2) ///
						(rspike  sup_b raw_b chage if group=="men" & sigint==1 , $l4) ///
		if child==`ch' & variable=="`v'", ytitle(Change of life satisf) $options ylabel(`range`v'') ///
		legend(order(1 2)) legend(label(1 "small network") label(2 "large network") ) ///
		text(`ty`v'' 12 "Sample: N = `Nm'; N(id) = `Nidm'; N(births) = `Nbm'", place(w))  
		more
		graph export $patho\Fig_3_M_`v'`ch'.eps, replace
	}	
}	
