
*___________________________________________________________________________________________________________________________________________________

* 																																	household data
*___________________________________________________________________________________________________________________________________________________

use "$pathd\W1_1999\shp99_h_user.dta", clear
loc m "99"
foreach v of global varsh {   		/* e.g idhous -> idhous99 */
	cap gen `v'`m'=.				/* generates empty variables (missing values) if the variable is not recorded in the given wave */ 
	rename `v'`m' `v'
}
foreach v of global varsH2 {   		/* e.g i51 -> h99i51 */
	cap gen h`m'`v'=.
	rename h`m'`v' `v'
}
foreach v of global varsI2 {   		/* e.g hty -> i99hty */
	cap gen `v'`m'=.
	rename i`m'`v' `v'
}
keep $varsh $varsH2 $varsI2
save "$path\h1.dta" , replace		/* temporary data to be used later to merge the final data */

*__  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __


loc mm = 0
forvalues n = 2/11 {     				/* n = wave, m = year, increasing +1 in each loop */
	loc m "0`mm'"
	use "$pathd\W`n'_20`m'\shp`m'_h_user.dta", clear
	foreach v of global varsh {   		/* e.g idhous -> idhous99 */
		cap gen `v'`m'=.
		rename `v'`m' `v'
	}
	foreach v of global varsH2 {   		/* e.g i51 -> h99i51 */
		cap gen h`m'`v'=.
		rename h`m'`v' `v'
	}
	foreach v of global varsI2 {   		/* e.g hty -> i99hty */
		cap gen `v'`m'=.
		rename i`m'`v' `v'
	}
	keep $varsh $varsH2 $varsI2
	save "$path\h`n'.dta" , replace
	loc mm = `mm' + 1
}

*__  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __


loc m = 10
forvalues n = 12/14 {				/* n = wave, m = year (no need for leadin 0 as above), increasing +1 in each loop */
	use "$pathd\W`n'_20`m'\shp`m'_h_user.dta", clear
	foreach v of global varsh {   		/* e.g idhous -> idhous99 */
		cap gen `v'`m'=.
		rename `v'`m' `v'
	}
	foreach v of global varsH2 {   		/* e.g i51 -> h99i51 */
		cap gen h`m'`v'=.
		rename h`m'`v' `v'
	}
	foreach v of global varsI2 {   		/* e.g hty -> i99hty */
		cap gen `v'`m'=.
		rename i`m'`v' `v'
	}
	keep $varsh $varsH2 $varsI2
	save "$path\h`n'.dta" , replace
	loc m = `m' + 1
}

*___________________________________________________________________________________________________________________________________________________

* 																																	single data
*___________________________________________________________________________________________________________________________________________________


* up to 2010: n04 n05

loc m "99"
use "$pathd\W1_1999\shp99_p_user.dta", clear
foreach v of global varsi1 {
	cap gen `v'`m'=.
	rename `v'`m' `v'
}
foreach v of global varsi2 {
	cap gen p`m'`v'=.
	rename  p`m'`v' `v'
}
keep idpers idspou99  $varsi1 $varsi2
cap replace idspou`m'=. if age<16
egen x = tag(idspou`m')
egen y = min(x), by(idspou`m')
keep if idspou`m' == -3 | y==0
drop x y
save "$path\s1.dta" , replace

*__  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __

loc mm = 0
forvalues n = 2/11 {
	loc m "0`mm'"
	use "$pathd\W`n'_20`m'\shp`m'_p_user.dta", clear
	foreach v of global varsi1 {
		cap gen `v'`m'=.
		rename `v'`m' `v'
	}
	foreach v of global varsi2 {
		cap gen p`m'`v'=.
		rename  p`m'`v' `v'
	}
	keep idpers idspou`m'  $varsi1 $varsi2
	cap replace idspou`m'=. if age<16
	egen x = tag(idspou`m')
	egen y = min(x), by(idspou`m')
	keep if idspou`m' == -3 | y==0
	drop x y
	save "$path\s`n'.dta" , replace
	loc mm = `mm' + 1
}

*__  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __

loc m = 10
forvalues n = 12/14 {
	use "$pathd\W`n'_20`m'\shp`m'_p_user.dta", clear
	foreach v of global varsi1 {
		cap gen `v'`m'=.
		rename `v'`m' `v'
	}
	foreach v of global varsi2 {
		cap gen p`m'`v'=.
		rename  p`m'`v' `v'
	}
	keep idpers idspou`m'  $varsi1 $varsi2
	cap replace idspou`m'=. if age<16
	egen x = tag(idspou`m')
	egen y = min(x), by(idspou`m')
	keep if idspou`m' == -3 | y==0
	drop x y
	save "$path\s`n'.dta" , replace
	loc m = `m' + 1
}

*___________________________________________________________________________________________________________________________________________________

* 																																	couple data
*___________________________________________________________________________________________________________________________________________________


loc m "99"
use "$pathd\W1_1999\shp99_p_user.dta", clear
loc vars1p " "
loc vars2p " "
foreach v of global varsi1 {
	cap gen `v'`m'=.	
	rename `v'`m' p`v'
	loc vars1p " `vars1p' p`v'"
}
foreach v of global varsi2 {
	cap gen p`m'`v'=.
	rename  p`m'`v' p`v'
	loc vars2p " `vars2p' p`v'"
}
keep idpers idspou99  `vars1p' `vars2p'
drop if idspou99 == -3
drop idspou99
rename idpers idspou99
save "$path\p1.dta" , replace

use "$pathd\W1_1999\shp99_p_user.dta", clear
foreach v of global varsi1 {
	cap gen `v'`m'=.
	rename `v'`m' `v'
}
foreach v of global varsi2 {
	cap gen p`m'`v'=.
	rename  p`m'`v' `v'
}
keep idpers idspou99  $varsi1 $varsi2
drop if idspou99 == -3
merge 1:1 idspou99 using "$path\p1.dta"
save "$path\p1.dta" , replace


*__  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __

loc mm = 0
forvalues n = 2/11 {
	loc m "0`mm'"
	use "$pathd\W`n'_20`m'\shp`m'_p_user.dta", clear
	foreach v of global varsi1 {
		cap gen `v'`m'=.
		rename `v'`m' p`v'
	}
	foreach v of global varsi2 {
		cap gen p`m'`v'=.
		rename  p`m'`v' p`v'
	}
	keep idpers idspou`m'  `vars1p' `vars2p'
	drop if idspou`m' == -3
	cap replace idspou`m'=. if age<16
	cap drop if idspou`m'==.
	egen x = tag(idspou`m')
	egen y = min(x), by(idspou`m')
	drop if y==0
	drop x y
	drop idspou`m'
	rename idpers idspou`m'
	save "$path\p`n'.dta" , replace

	use "$pathd\W`n'_20`m'\shp`m'_p_user.dta", clear
	foreach v of global varsi1 {
		cap gen `v'`m'=.
		rename `v'`m' `v'
	}
	foreach v of global varsi2 {
		cap gen p`m'`v'=.
		rename  p`m'`v' `v'
	}
	keep idpers idspou`m'  $varsi1 $varsi2
	drop if idspou`m' == -3
	cap replace idspou`m'=. if age<16
	cap drop if idspou`m'==.
	egen x = tag(idspou`m')
	egen y = min(x), by(idspou`m')
	drop if y==0
	drop x y
	merge 1:1 idspou`m' using "$path\p`n'.dta"
	save "$path\p`n'.dta" , replace

	loc mm = `mm' + 1
}

*__  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __  __

loc m = 10
forvalues n = 12/14 {
	use "$pathd\W`n'_20`m'\shp`m'_p_user.dta", clear
	foreach v of global varsi1 {
		cap gen `v'`m'=.
		rename `v'`m' p`v'
	}
	foreach v of global varsi2 {
		cap gen p`m'`v'=.
		rename  p`m'`v' p`v'
	}
	keep idpers idspou`m'   `vars1p' `vars2p'
	drop if idspou`m' == -3
	cap replace idspou`m'=. if age<16
	cap drop if idspou`m'==.
	egen x = tag(idspou`m')
	egen y = min(x), by(idspou`m')
	drop if y==0
	drop x y
	drop idspou`m'
	rename idpers idspou`m'
	save "$path\p`n'.dta" , replace

	use "$pathd\W`n'_20`m'\shp`m'_p_user.dta", clear
	foreach v of global varsi1 {
		cap gen `v'`m'=.
		rename `v'`m' `v'
	}
	foreach v of global varsi2 {
		cap gen p`m'`v'=.
		rename  p`m'`v' `v'
	}
	keep idpers idspou`m'  $varsi1 $varsi2
	drop if idspou`m' == -3
	cap replace idspou`m'=. if age<16
	cap drop if idspou`m'==.
	egen x = tag(idspou`m')
	egen y = min(x), by(idspou`m')
	drop if y==0
	drop x y
	merge 1:1 idspou`m' using "$path\p`n'.dta"
	save "$path\p`n'.dta" , replace

	loc m = `m' + 1
}

*___________________________________________________________________________________________________________________________________________________

* 																																	merge
*___________________________________________________________________________________________________________________________________________________

forvalues n=1/14 {
	use "$path\p`n'.dta" , clear
	gen p=1
	append using "$path\s`n'.dta" 
	egen x = tag(idpers)
	egen y = min(x), by(idpers)
	drop if y==0 & p!=1
	drop x
	drop y
	drop p
	drop _merge
	drop if idpers==.
	merge m:1 idhous using "$path\h`n'.dta"
	gen wave=`n'
	save "$path\a`n'.dta" , replace
}
use "$path\a1.dta" , clear
forvalues n = 2/14 {
	append using "$path\a`n'.dta"
}
save "$path\source_allwaves.dta" , replace   /* this merged file contains the relevant variables; 
									the subsequent file2.do will transform them into the information which we need in the analysis */ 


