use "$path\source_intermediate.dta", clear

loc vars IDedu_sec IDedu_ter incID coh_195060 coh_196070 natlang lang nat
foreach v in n10 n13 n14 n15 {
	xi: logit  High_`v'	`vars' parent if tagid==1 & IDyearborn>=1919 & IDyearborn<=1991 & woman==1
	est store model`v'
	xi: logit  High_`v'	`vars' IDageatb if tagid==1 & parent==1 & IDyearborn>=1919 & IDyearborn<=1991 & woman==1
	est store model`v'p
	xi: logit  High_`v'	`vars' IDageatb if tagid==1 & parent==1 & IDyearborn>=1919 & IDyearborn<=1991 & only1child==1  & woman==1
	est store model`v'1st

}

loc vars IDedu_sec IDedu_ter incID coh_195060 coh_196070 natlang lang nat parent IDageatb
label variable IDedu_sec "secondary educ. (ref: primary)" 
label variable IDedu_ter "tertiary educ. (ref: primary)" 
label variable incID "household income"
label variable woman "woman (ref: man)"
label variable coh_195060 "born $1950-59$ (ref: born $1970+$)"
label variable coh_196070 "born $1960-69$ (ref: born $1970+$)"
label variable parent "ever a mother (ref: childless)"
label variable IDageatb "age at 1st birth"
label variable natlang "other passport and language (ref: Swiss)"
label variable lang "Swiss passport, other language (ref: Swiss)"
label variable nat "other passport, Swiss language (ref: Swiss)"

esttab 	modeln10 modeln10p modeln13 modeln13p modeln14 modeln14p modeln15 modeln15p ///
		using $patho\table_10.tex, keep(`vars') order(`vars') label eform ///
		b(%9.2f) star(+ 0.1 * 0.05 *** .001) p(%9.3f) pr2 staraux nodepvars fragment replace
