use "$path\source_intermediate.dta", clear

loc vars1 " n10 n13 n14 n15 c44 age1 age2 age3 single div_sep widowed married divorce marriage coreside c02 eqsnR unempl age wave2_3 wave4_6 wave7_9 wave10_12 "
loc vars1 " `vars1' sup_partner sup_friends sup_neighbors sup_colleagues "
loc vars2 " High_n10new High_n13new High_n14new High_n15new"
loc vars3 " IDedu_prim IDedu_sec IDedu_ter incID coh_195060 coh_196070 coh_aft1970 parent IDageatb Swissnl natlang lang nat "
cap postclose desctable
postfile desctable str20 variable wmean wsd wmin wmax wN wNid mmean msd mmin mmax mN mNid using "$path\source_table1a", replace
foreach v in `vars1' {
	sum `v' if woman==1 
	loc mean = r(mean)
	loc sd = r(sd)
	loc min = r(min)
	loc max = r(max)
	loc N = r(N)
	sum `v' if tagid==1 & woman==1 
	loc Nid = r(N)
	sum `v' if tagid==1 & woman==0 
	loc mNid = r(N)
	sum `v' if woman==0 
	post desctable ("`v'") (`mean') (`sd') (`min') (`max') (`N') (`Nid') (r(mean)) (r(sd)) (r(min)) (r(max)) (r(N)) (`mNid')
}
postclose desctable
postfile desctable str20 variable wmean wsd wmin wmax wN wNid mmean msd mmin mmax mN mNid using "$path\source_table1b", replace
foreach v in `vars2' {
	sum `v' if woman==1 & tagid==1 
	loc mean = r(mean)
	loc sd = r(sd)
	loc min = r(min)
	loc max = r(max)
	loc N = r(N)
	sum `v' if woman==0 & tagid==1
	post desctable ("`v'") (`mean') (`sd') (`min') (`max') (.) (`N') (r(mean)) (r(sd)) (r(min)) (r(max)) (.) (r(N))
}
foreach v in `vars3' {
	sum `v' if woman==1 & tagid==1 
	loc mean = r(mean)
	loc sd = r(sd)
	loc min = r(min)
	loc max = r(max)
	loc N = r(N)
	sum `v' if woman==0 & tagid==1
	post desctable ("`v'") (`mean') (`sd') (`min') (`max') (.) (`N') (.) (.) (.) (.) (.) (.)
}
postclose desctable

use "$path\source_table1a.dta", clear
format wmax mmax wmin mmin %9.0f
format wmean wsd mmean msd %9.2f
replace var="life satisfaction" if var=="c44"
replace var="size of network of relatives" if var=="n10"
replace var="freq. of contact with relat. (month)" if var=="n13"
replace var="practical support from relatives" if var=="n14"
replace var="emotional support from relatives" if var=="n15"
replace var="age of child 1" if var=="age1"
replace var="age of child 2" if var=="age2"
replace var="age of child 3" if var=="age3" 
replace var="divorced or separated" if var=="div_sep"
replace var="co-reside with grandparents" if var=="coreside"
replace var="year of marriage" if var=="marriage"
replace var="year of divorce" if var=="divorce"
replace var="unemployed" if var=="unempl" 
replace var="hh income equivalized" if var=="eqsnR"
replace var="satisfaction with health" if var=="c02"
replace var="support from partner" if var=="sup_partner"
replace var="support from friends" if var=="sup_friends"
replace var="support from neighbours" if var=="sup_neighbors"
replace var="support from colleagues" if var=="sup_colleagues"
replace var="waves 2-3 (2000-02)" if var=="wave2_3"
replace var="waves 4-6 (2002-05)" if var=="wave4_6" 
replace var="waves 7-9 (2005-08)" if var=="wave7_9" 
replace var="waves 10-12 (2008-11)" if var=="wave10_12"
listtex using "$path\table1a.tex", rstyle(tabular) replace

use "$path\source_table1b.dta", clear
format wmax mmax wmin mmin %9.0f
format wmean wsd mmean msd %9.2f
replace var="large network of relatives" if var=="High_n10new"
replace var="frequent contact with relatives" if var=="High_n13new"
replace var="high practical support from relatives" if var=="High_n14new"
replace var="high emotional support from relatives" if var=="High_n15new"
replace var="secondary education" if var=="IDedu_prim"
replace var="secondary education" if var=="IDedu_sec"
replace var="tertiary education" if var=="IDedu_ter"
replace var="household income" if var=="incID"
replace var="born $1950-59$" if var=="coh_195060"
replace var="born $1960-69$" if var=="coh_196070"
replace var="born $1970+$" if var=="coh_aft1970"
replace var="ever a parent" if var=="parent"
replace var="age at 1st birth" if var=="IDageatb"
replace var="Swiss passport and language" if var=="Swissnl"
replace var="Swiss passport, other language" if var=="lang"
replace var="other passport, Swiss language" if var=="nat"
replace var="other passport and language" if var=="natlang"
listtex using "$path\table1b.tex", rstyle(tabular) replace
