use "$path\source_intermediate.dta", clear

gen man = woman == 0 

cap drop tagid
egen tagid = tag(idpers idhous) if High_n10<. & High_n13<. & High_n14<. & High_n15<.

cap postclose descriptive
postfile descriptive str22 label hn10 hn10p ln10 ln10p hn13 hn13p ln13 ln13p hn14 hn14p ln14 ln14p hn15 hn15p ln15 ln15p str10 sex using "$patho\DesHighLow", replace
foreach x in woman man {
	foreach v in 10 13 14 15 {
		sum High_n`v' if High_n`v'==1 & tagid==1 & `x'==1
		loc hn`v' = r(N)
		sum High_n`v' if High_n`v'==0 & tagid==1 & `x'==1
		loc ln`v' = r(N)
	}
	post descriptive ("overall") (`hn10') (100*`hn10'/(`hn10'+`ln10'))  (`ln10') (100*`ln10'/(`hn10'+`ln10'))  (`hn13') (100*`hn13'/(`hn13'+`ln13')) ///
					 (`ln13') (100*`ln13'/(`hn13'+`ln13')) (`hn14') (100*`hn14'/(`hn14'+`ln14')) (`ln14') (100*`ln14'/(`hn14'+`ln14')) ///
					 (`hn15') (100*`hn15'/(`hn15'+`ln15')) (`ln15') (100*`ln15'/(`hn15'+`ln15')) ("`x'")
	*
	foreach v in 10 13 14 15 {
		sum High_n`v' if High_n`v'==1 & (age1==. & age2==. & age3==. & age4==. & age5==.) & tagid==1 & `x'==1
		loc hn`v' = r(N)
		sum High_n`v' if High_n`v'==0 & (age1==. & age2==. & age3==. & age4==. & age5==.) & tagid==1 & `x'==1
		loc ln`v' = r(N)
	}
	post descriptive ("childless") (`hn10') (100*`hn10'/(`hn10'+`ln10'))  (`ln10') (100*`ln10'/(`hn10'+`ln10'))  (`hn13') (100*`hn13'/(`hn13'+`ln13')) ///
					 (`ln13') (100*`ln13'/(`hn13'+`ln13')) (`hn14') (100*`hn14'/(`hn14'+`ln14')) (`ln14') (100*`ln14'/(`hn14'+`ln14')) ///
					 (`hn15') (100*`hn15'/(`hn15'+`ln15')) (`ln15') (100*`ln15'/(`hn15'+`ln15')) ("`x'")
	*
	foreach v in 10 13 14 15 {
		sum High_n`v' if High_n`v'==1 & birth==1 & tagid==1 & `x'==1
		loc hn`v' = r(N)
		sum High_n`v' if High_n`v'==0 & birth==1 & tagid==1 & `x'==1
		loc ln`v' = r(N)
	}
	post descriptive ("has a child aged 0") (`hn10') (100*`hn10'/(`hn10'+`ln10'))  (`ln10') (100*`ln10'/(`hn10'+`ln10'))  (`hn13') (100*`hn13'/(`hn13'+`ln13')) ///
					 (`ln13') (100*`ln13'/(`hn13'+`ln13')) (`hn14') (100*`hn14'/(`hn14'+`ln14')) (`ln14') (100*`ln14'/(`hn14'+`ln14')) ///
					 (`hn15') (100*`hn15'/(`hn15'+`ln15')) (`ln15') (100*`ln15'/(`hn15'+`ln15')) ("`x'")
	*
	foreach v in 10 13 14 15 {
		sum High_n`v' if High_n`v'==1 & child1_2==1 & tagid==1 & `x'==1
		loc hn`v' = r(N)
		sum High_n`v' if High_n`v'==0 & child1_2==1 & tagid==1 & `x'==1
		loc ln`v' = r(N)
	}
	post descriptive ("has a child aged 1-2") (`hn10') (100*`hn10'/(`hn10'+`ln10'))  (`ln10') (100*`ln10'/(`hn10'+`ln10'))  (`hn13') (100*`hn13'/(`hn13'+`ln13')) ///
					 (`ln13') (100*`ln13'/(`hn13'+`ln13')) (`hn14') (100*`hn14'/(`hn14'+`ln14')) (`ln14') (100*`ln14'/(`hn14'+`ln14')) ///
					 (`hn15') (100*`hn15'/(`hn15'+`ln15')) (`ln15') (100*`ln15'/(`hn15'+`ln15')) ("`x'")
	*
	foreach v in 10 13 14 15 {
		sum High_n`v' if High_n`v'==1 & child3_5==1 & tagid==1 & `x'==1
		loc hn`v' = r(N)
		sum High_n`v' if High_n`v'==0 & child3_5==1 & tagid==1 & `x'==1
		loc ln`v' = r(N)
	}
	post descriptive ("has a child aged 3-5") (`hn10') (100*`hn10'/(`hn10'+`ln10'))  (`ln10') (100*`ln10'/(`hn10'+`ln10'))  (`hn13') (100*`hn13'/(`hn13'+`ln13')) ///
					 (`ln13') (100*`ln13'/(`hn13'+`ln13')) (`hn14') (100*`hn14'/(`hn14'+`ln14')) (`ln14') (100*`ln14'/(`hn14'+`ln14')) ///
					 (`hn15') (100*`hn15'/(`hn15'+`ln15')) (`ln15') (100*`ln15'/(`hn15'+`ln15')) ("`x'")
	*
	foreach v in 10 13 14 15 {
		sum High_n`v' if High_n`v'==1 & child6_12==1 & tagid==1 & `x'==1
		loc hn`v' = r(N)
		sum High_n`v' if High_n`v'==0 & child6_12==1 & tagid==1 & `x'==1
		loc ln`v' = r(N)
	}
	post descriptive ("has a child aged 6-12") (`hn10') (100*`hn10'/(`hn10'+`ln10'))  (`ln10') (100*`ln10'/(`hn10'+`ln10'))  (`hn13') (100*`hn13'/(`hn13'+`ln13')) ///
					 (`ln13') (100*`ln13'/(`hn13'+`ln13')) (`hn14') (100*`hn14'/(`hn14'+`ln14')) (`ln14') (100*`ln14'/(`hn14'+`ln14')) ///
					 (`hn15') (100*`hn15'/(`hn15'+`ln15')) (`ln15') (100*`ln15'/(`hn15'+`ln15')) ("`x'")
}	
postclose descriptive

use "$patho\source_table2.dta", clear

format hn10 ln10 hn13 ln13 hn14 ln14 hn15 ln15 %9.0f

foreach x in hn10 ln10 hn13 ln13 hn14 ln14 hn15 ln15 {
	replace `x'p = round(`x'p, 1)
	tostring `x'p, gen(`x'P)
	replace `x'P = "("+`x'P + "\%)"
}

listtex label hn10 hn10P ln10 ln10P hn13 hn13P ln13 ln13P hn14 hn14P ln14 ln14P hn15 hn15P ln15 ln15P using "$patho\table2a.tex" if sex=="man", rstyle(tabular) replace

listtex label hn10 hn10P ln10 ln10P hn13 hn13P ln13 ln13P hn14 hn14P ln14 ln14P hn15 hn15P ln15 ln15P using "$patho\table2b.tex" if sex=="woman", rstyle(tabular) replace
